cancel
Showing results for 
Search instead for 
Did you mean: 

Upwork for Freelancer on old android device

Hello,
I'm using Android device with Android version 5.1 (lolipop).
How can I install "Upwork for Freelancer" app to my lolipop device?

Thank
1 REPLY 1
g_vasilevski
Community Manager
Community Manager

Hi Khaledur,

 

Your Android version needs to be 6.0 and up in order to be able to install our mobile app. You can find more details about this under the Additional Information section on the Google Play store. Thank you.

~ Goran
Upwork
TOP SOLUTION AUTHORS
TOP KUDOED MEMBERS